Unit Type Ratio
Manage unit type ratios and convert values between units with the VARIO Cloud REST API, including creation, updates, deletion, and conversion.
the UnitTypeRatio API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Faktor
Resource with given ID was not found
GET /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"baseUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"relationUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"factor": 1
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Faktor
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Faktor
Resource was not found
Resource was not valid to process
PUT /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"version": "text",
"info": {},
"id": "text",
"baseUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"relationUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"factor": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"baseUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"relationUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"factor": 1
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Faktor
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Faktor
Resource was not valid to process
POST /cmn/unit-type-ratio HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"version": "text",
"info": {},
"id": "text",
"baseUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"relationUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"factor": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"baseUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"relationUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"factor": 1
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Wert, welcher umgerechnet werden soll
Abkürzung der gegebenen Einheit
Abkürzung der Zieleinheit
Ergebnis der Berechnung
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Wert, welcher umgerechnet werden soll
Abkürzung der gegebenen Einheit
Abkürzung der Zieleinheit
Ergebnis der Berechnung
POST /cmn/unit-type-ratio/convert HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2
[]OK
[]OK
GET /cmn/unit-type-ratio/convert/from/{sourceTypeAbbreviation}/to/{targetTypeAbbreviation}?value=1 HTTP/1.1
Host: api.example.com
Accept: */*
OK
1Last updated
Was this helpful?